Epione_JEE-web/src/main/java/tn/esprit/pi/epione/resources/AdminBean.java
package tn.esprit.pi.epione.resources;

import java.io.Serializable;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import tn.esprit.pi.epione.persistence.DoctolibDoctor;
import tn.esprit.pi.epione.persistence.Doctor;
import tn.esprit.pi.epione.service.AdminService;

@ManagedBean
@SessionScoped
public class AdminBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1974498225740760797L;

	@EJB
	AdminService adminService;
	private String id;
	private String password;
	private String email;
	private boolean isActif;
	private boolean isDoctolib;
	private String name;
	private String img;
	private String address;
	private String city;
	private String path;
	private String speciality;
	private String description;
	private Doctor userConnected;

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public boolean isActif() {
		return isActif;
	}

	public void setActif(boolean isActif) {
		this.isActif = isActif;
	}

	public boolean isDoctolib() {
		return isDoctolib;
	}

	public void setDoctolib(boolean isDoctolib) {
		this.isDoctolib = isDoctolib;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getSpeciality() {
		return speciality;
	}

	public void setSpeciality(String speciality) {
		this.speciality = speciality;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public double getLng() {
		return lng;
	}

	public void setLng(double lng) {
		this.lng = lng;
	}

	private double lat;
	private double lng;

	public String activate(int id) {
		System.out.println(id);
		adminService.activated(id);

		return "/Doctor/disactivateDoctor.jsf?faces-redirect=true";
	}

	public String disactivate(int id) {
		System.out.println(id);

		adminService.disactivated(id);

		return "/Doctor/disactivateDoctor.jsf?faces-redirect=true";
	}

	public String remove(int id) {
		adminService.removeDoctor(id);

		return "/Doctor/disactivateDoctor.jsf?faces-redirect=true";
	}

	public List<Doctor> disactivateDoctor() {

		return adminService.getDisactivateDoctors();
	}
	public List<Doctor> doctors() {

		return adminService.getDoctors();
	}

	public List<Doctor> activateDoctors() {

		return adminService.getActivateDoctors();
	}

	public String register() {
		Doctor doc = new Doctor();
		doc.setAddress(address);
		doc.setActif(false);
		doc.setCity(city);
		doc.setDescription(description);
		doc.setDoctolib(false);
		doc.setEmail(email);
		doc.setImg("doctor");
		doc.setLat(lat);
		doc.setLng(lng);
		doc.setName(name);
		doc.setPassword(password);
		doc.setPath(" ");
		doc.setSpeciality(speciality);
			adminService.register(doc);
		return "/login.jsf?faces-redirect=true";
	}

	public String logout(){
		userConnected=null;
		return "/login.jsf?faces-redirect=true";
	}
	
	public String addDoctor(DoctolibDoctor doctor) {
		Doctor doc = new Doctor();
		doc.setAddress(doctor.getAddress());
		doc.setActif(true);
		doc.setCity(doctor.getCity());
		//doc.setDescription(doctor.getDescription());
		doc.setDoctolib(true);
		doc.setEmail(doctor.getName().trim().toLowerCase().replace(" ", ".")+"@epione.com");
		doc.setImg(doctor.getImg());
		doc.setLat(doctor.getLat());
		doc.setLng(doctor.getLng());
		doc.setName(doctor.getName());
		doc.setPassword("admin");
		doc.setPath(doctor.getPath());
		doc.setSpeciality(doctor.getSpeciality());
		adminService.addDoctolib(doc);
		return "/Doctor/doctorsDoctolib.jsf?faces-redirect=true";
	}

	public String login() {
		userConnected = adminService.login(this.email, this.password);
		System.out.println("*********"+userConnected);
		if(userConnected.isActif()==false){
			return "/login.jsf?faces-redirect=true";
		}
		if (userConnected == null) {
			System.out.println("************");
			return "/login.jsf?faces-redirect=true";

		}
		if (email.equals("admin@epione.com")) {

			return "/Doctor/disactivateDoctor.jsf?faces-redirect=true";
		}
		else {
			
			return "/Doctor/listdoctors.jsf?faces-redirect=true";

		}

	}

	public String getDoctor(int id) {

		Doctor doc = adminService.getDoctor(id);
		this.address = doc.getAddress();
		this.name = doc.getName();
		this.email = doc.getEmail();
		this.password = doc.getPassword();
		this.isActif = doc.isActif();
		this.isDoctolib = doc.isDoctolib();
		this.img = doc.getImg();
		this.city = doc.getCity();
		this.path = doc.getPath();
		this.speciality = doc.getAddress();
		this.description = doc.getDescription();

		return "/Doctor/doctorAdmin.jsf?faces-redirect=true";
	}

	public Doctor getUserConnected() {
		return userConnected;
	}

	public void setUserConnected(Doctor userConnected) {
		this.userConnected = userConnected;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

}

Epione_JEE-web/src/main/java/tn/esprit/pi/epione/resources/DoctorBean.java
package tn.esprit.pi.epione.resources;

import java.io.IOException;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import tn.esprit.pi.epione.persistence.*;
import tn.esprit.pi.epione.service.DoctolibService;

@ManagedBean
@SessionScoped
public class DoctorBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6190997677599234036L;

	@EJB
	DoctolibService doctorService;

	private String PaymentMethod;
	private String biography;
	private String Office_Number;
	private String Website;
	private String Doctolib;
	private String OfficeAdress;
	private String Remboursement;
	private String description;
	private String nbreRPPS;
	private String statuts;
	private String nbreInscriptionOrdre;
	private String nbreRCS;
	private Boolean memberAGA;
	private String formeJuridique;
	private String adresseSocialSiege;
	private String socialReason;
	private double lat;
	private double lng;
	private List<String> skills;
	private String name;
	private String img;
	private String address;
	private String city;
	private String path;
	private String specialitie;
	
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getSpecialitie() {
		return specialitie;
	}

	public void setSpecialitie(String specialitie) {
		this.specialitie = specialitie;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getNbreRPPS() {
		return nbreRPPS;
	}

	public void setNbreRPPS(String nbreRPPS) {
		this.nbreRPPS = nbreRPPS;
	}

	public String getStatuts() {
		return statuts;
	}

	public void setStatuts(String statuts) {
		this.statuts = statuts;
	}

	public String getNbreInscriptionOrdre() {
		return nbreInscriptionOrdre;
	}

	public void setNbreInscriptionOrdre(String nbreInscriptionOrdre) {
		this.nbreInscriptionOrdre = nbreInscriptionOrdre;
	}

	public String getNbreRCS() {
		return nbreRCS;
	}

	public void setNbreRCS(String nbreRCS) {
		this.nbreRCS = nbreRCS;
	}

	public Boolean getMemberAGA() {
		return memberAGA;
	}

	public void setMemberAGA(Boolean memberAGA) {
		this.memberAGA = memberAGA;
	}

	public String getFormeJuridique() {
		return formeJuridique;
	}

	public void setFormeJuridique(String formeJuridique) {
		this.formeJuridique = formeJuridique;
	}

	public String getAdresseSocialSiege() {
		return adresseSocialSiege;
	}

	public void setAdresseSocialSiege(String adresseSocialSiege) {
		this.adresseSocialSiege = adresseSocialSiege;
	}

	public String getSocialReason() {
		return socialReason;
	}

	public void setSocialReason(String socialReason) {
		this.socialReason = socialReason;
	}

	public double getLat() {
		return lat;
	}

	public void setLat(double lat) {
		this.lat = lat;
	}

	public double getLng() {
		return lng;
	}

	public void setLng(double lng) {
		this.lng = lng;
	}

	public List<String> getSkills() {
		return skills;
	}

	public void setSkills(List<String> skills) {
		this.skills = skills;
	}

	public String getDoctorByPath(String path) throws IOException{
		DoctolibDoctor doctor= doctorService.getDoctorByPath(path); 
		this.name=doctor.getName();
		this.address=doctor.getAddress();
		this.city=doctor.getCity();
		this.description=doctor.getDescription();
		this.img=doctor.getImg();
		this.lat=doctor.getLat();
		this.lng=doctor.getLng();
		this.specialitie=doctor.getSpeciality();
		this.skills=doctor.getSkills();
		return "/Doctor/doctor.jsf?faces-redirect=true";
	}
	public List<DoctolibDoctor> getDoctorByAjax(String path) throws IOException{
		List<DoctolibDoctor> doctors= new ArrayList<DoctolibDoctor>();
		DoctolibDoctor doctor= new DoctolibDoctor();
		doctor= doctorService.getDoctorByPath(path);
		doctors.add(doctor);
		return doctors;
	}
	
	public List<Doctolib> getDoctors(String spec,String place ,String page) throws IOException{
		
		return doctorService.getListDoctorsBySpecialityAndLocation( spec,place,page);
	}
	
	public List<DoctolibDoctor> getDoctors2(String spec,String place ,String page) throws IOException{
		List<DoctolibDoctor> list = new ArrayList<>();
		for(Doctolib doc : doctorService.getListDoctorsBySpecialityAndLocation( spec,place,page)){
			DoctolibDoctor doctor= new DoctolibDoctor();
			doctor=doctorService.getDoctorByPath(doc.getPath());
			list.add(doctor);
		}
		return list;
	}
	
	public String search(String search){
		System.out.println(doctorService.search(search));
		return  doctorService.search(search);
	}
	
	
	public String getPaymentMethod() {
		return PaymentMethod;
	}
	public void setPaymentMethod(String paymentMethod) {
		PaymentMethod = paymentMethod;
	}
	public String getBiography() {
		return biography;
	}
	public void setBiography(String biography) {
		this.biography = biography;
	}
	public String getOffice_Number() {
		return Office_Number;
	}
	public void setOffice_Number(String office_Number) {
		Office_Number = office_Number;
	}
	public String getWebsite() {
		return Website;
	}
	public void setWebsite(String website) {
		Website = website;
	}
	public String getDoctolib() {
		return Doctolib;
	}
	public void setDoctolib(String doctolib) {
		Doctolib = doctolib;
	}
	public String getOfficeAdress() {
		return OfficeAdress;
	}
	public void setOfficeAdress(String officeAdress) {
		OfficeAdress = officeAdress;
	}
	public String getRemboursement() {
		return Remboursement;
	}
	public void setRemboursement(String remboursement) {
		Remboursement = remboursement;
	}
}

Epione_JEE-web/src/main/webapp/Doctor/disactivateDoctor.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets" template="/index2.xhtml"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<ui:define name="content">
		<section class="content">
			<div class="block-header">
				<div class="row">
					<div class="col-lg-7 col-md-6 col-sm-12">
						<h2>
							All Patients <small class="text-muted">Welcome to Oreo</small>
						</h2>
					</div>
					<div class="col-lg-5 col-md-6 col-sm-12">
						<button
							class="btn btn-primary btn-icon btn-round hidden-sm-down float-right m-l-10"
							type="button">
							<i class="zmdi zmdi-plus"></i>
						</button>
						<ul class="breadcrumb float-md-right">
							<li class="breadcrumb-item"><a href="index.html"><i
									class="zmdi zmdi-home"></i> Oreo</a></li>
							<li class="breadcrumb-item"><a href="javascript:void(0);">Patients</a></li>
							<li class="breadcrumb-item active">All Patients</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="container-fluid">
				<div class="row clearfix">
					<div class="col-md-12">
						<div class="card patients-list">
							<div class="header">
								<h2>
									<strong>Patients</strong> List
								</h2>
								<ul class="header-dropdown">
									<li class="dropdown"><a href="javascript:void(0);"
										class="dropdown-toggle" data-toggle="dropdown" role="button"
										aria-haspopup="true" aria-expanded="false"> <i
											class="zmdi zmdi-more"></i>
									</a>
										<ul class="dropdown-menu dropdown-menu-right slideUp">
											<li><a href="javascript:void(0);">Action</a></li>
											<li><a href="javascript:void(0);">Another action</a></li>
											<li><a href="javascript:void(0);">Something else</a></li>
										</ul></li>
									<li class="remove"><a role="button" class="boxs-close"><i
											class="zmdi zmdi-close"></i></a></li>
								</ul>
							</div>
							<div class="body">
								<!-- Nav tabs -->
								<ul class="nav nav-tabs padding-0">
									<li class="nav-item"><a class="nav-link active"
										data-toggle="tab" href="#All">All</a></li>
									<li class="nav-item"><a class="nav-link" data-toggle="tab"
										href="#Activate">Activate</a></li>
									<li class="nav-item"><a class="nav-link" data-toggle="tab"
										href="#Disactivate">Disactivate</a></li>
								</ul>

								<!-- Tab panes -->
								<div class="tab-content m-t-10">
									<div class="tab-pane table-responsive active" id="All">
										<table class="table m-b-0 table-hover">
											<thead>
												<tr>
													<th>Media</th>
													<th>Name</th>
													<th>Speciality</th>
													<th>Address</th>
													<th>email</th>
													<th>Doctolib</th>
													<th>Status</th>
												</tr>
											</thead>
											<tbody>

												<ui:repeat var="doc" value="#{adminBean.doctors()}">
													<tr>
														<td><span class="list-icon"><img
																class="patients-img" src="#{doc.img}" alt="" /></span></td>
														<td><span class="list-name"><h:outputText
																	value="#{doc.name}" /></span></td>
														<td><h:outputText value="#{doc.speciality}" /></td>
														<td><h:outputText value="#{doc.city}" /></td>
														<td><h:outputText value="#{doc.email}" /></td>
														<td><h:outputText value="#{doc.doctolib}" /></td>
														
														<td><span class="badge badge-warning"> <h:outputText value="#{doc.actif}" /></span></td>
													</tr>
												</ui:repeat>

											</tbody>
										</table>
									</div>
									<div class="tab-pane table-responsive" id="Activate">
										<table class="table m-b-0 table-hover">
											<thead>
												<tr>
													<th>Media</th>
													<th>Name</th>
													<th>Speciality</th>
													<th>Address</th>
													<th>Email</th>
													<th>Doctolib</th>
													<th>Action</th>
												</tr>
											</thead>
											<tbody>
												<ui:repeat var="doc" value="#{adminBean.activateDoctors()}">
													<tr>
														<td><span class="list-icon"><img
																class="patients-img" src="#{doc.img}" alt="" /></span></td>
														<td><span class="list-name"><h:outputText
																	value="#{doc.name}" /></span></td>
														<td><h:outputText value="#{doc.speciality}" /></td>
														<td><h:outputText value="#{doc.city}" /></td>
														<td><h:outputText value="#{doc.email}" /></td>

														<td><h:outputText value="#{doc.doctolib}" /></td>
															<h:form>
														<td><h:commandButton
																action="#{adminBean.disactivate(doc.id)}"
																class="btn btn-primary btn-round" value="Disactivate" /></td>
														<td><h:commandButton
																action="#{adminBean.remove(doc.id)}"
																class="btn btn-primary btn-round" value="Remove" /></td>
														</h:form>
													</tr>
												</ui:repeat>
											</tbody>
										</table>
									</div>
									<div class="tab-pane table-responsive" id="Disactivate">
										<table class="table m-b-0 table-hover">
											<thead>
												<tr>
													<th>Media</th>
													<th>Name</th>
													<th>Speciality</th>
													<th>Address</th>
													<th>email</th>
													<th>Doctolib</th>
													<th>Status</th>
												</tr>
											</thead>
											<tbody>

												<ui:repeat var="doc"
													value="#{adminBean.disactivateDoctor()}">
													<tr>
														<td><span class="list-icon"><img
																class="patients-img" src="#{doc.img}" alt="" /></span></td>
														<td><span class="list-name"><h:outputText
																	value="#{doc.name}" /></span></td>
														<td><h:outputText value="#{doc.speciality}" /></td>
														<td><h:outputText value="#{doc.city}" /></td>
														<td><h:outputText value="#{doc.email}" /></td>

														<td><h:outputText value="#{doc.doctolib}" /></td>
														<h:form>
														<td><h:commandButton
																action="#{adminBean.activate(doc.id)}"
																class="btn btn-primary btn-round" value="Activate" /></td>
														<td><h:commandButton
																action="#{adminBean.remove(doc.id)}"
																class="btn btn-primary btn-round" value="Remove" /></td>
														</h:form>

													</tr>
												</ui:repeat>

											</tbody>
										</table>
									</div>

								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</section>
	</ui:define>
</ui:composition>


Epione_JEE-web/src/main/webapp/Doctor/doctor.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets" template="/index2.xhtml"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<ui:define name="content">
		<section class="content profile-page">
			<div class="block-header">
				<div class="row">
					<div class="col-lg-7 col-md-6 col-sm-12">
						<h2>
							Profile <small>Welcome to Oreo</small>
						</h2>
					</div>
					<h:inputHidden  value="#{doctorBean.lat}" id="lat" /> 
										<h:inputHidden  value="#{doctorBean.lng}" id="lng"/>
					<div class="col-lg-5 col-md-6 col-sm-12">
						<button
							class="btn btn-white btn-icon btn-round hidden-sm-down float-right m-l-10"
							type="button">
							<i class="zmdi zmdi-edit"></i>
						</button>
						<ul class="breadcrumb float-md-right">
							<li class="breadcrumb-item"><a href="index.html"><i
									class="zmdi zmdi-home"></i> Oreo</a></li>
							<li class="breadcrumb-item active">Profile</li>
						</ul>
					</div>
				</div>
			</div>
			<div class="container-fluid">
				<div class="row clearfix">
					<div class="col-lg-4 col-md-12">
						<div class="card profile-header">
							<div class="body text-center">
								<div class="profile-image">
									<img src="#{doctorBean.img}" alt="" />
								</div>
								<div>
									<h4 class="m-b-0">
										<strong>Dr. <h:outputText value="#{doctorBean.name}" /></strong>
									</h4>
									<span class="job_post"><h:outputText
											value="#{doctorBean.specialitie}" /></span>
									<p>
										<h:outputText value="#{doctorBean.address}" />
										<br />
										<h:outputText value="#{doctorBean.city}" />
									</p>
								</div>
								<div>
									<button class="btn btn-primary btn-round btn-simple">Message</button>
								</div>
								<p class="social-icon m-t-5 m-b-0">
									<a title="Twitter" href="javascript:void(0);"><i
										class="zmdi zmdi-twitter"></i></a> <a title="Facebook"
										href="javascript:void(0);"><i class="zmdi zmdi-facebook"></i></a>
									<a title="Google-plus" href="javascript:void(0);"><i
										class="zmdi zmdi-twitter"></i></a> <a title="Behance"
										href="javascript:void(0);"><i class="zmdi zmdi-behance"></i></a>
									<a title="Instagram" href="javascript:void(0);"><i
										class="zmdi zmdi-instagram "></i></a>
								</p>
							</div>
						</div>


					</div>

					<div class="col-lg-8 col-md-12">
						<div class="card">
							<ul class="nav nav-tabs">
								<li class="nav-item"><a class="nav-link active show"
									data-toggle="tab" href="#about">About</a></li>
								<li class="nav-item"><a class="nav-link" data-toggle="tab"
									href="#Account">Account</a></li>
							</ul>
							<div class="tab-content">
								<div class="tab-pane body active show" id="about">
									<p>
										Dr.
										<h:outputText value="#{doctorBean.name}" />
										
										<h:outputText value="#{doctorBean.description}" />
									</p>
									<h6>Qualifications</h6>
									<hr />

									<ul class="list-unstyled">
										<ui:repeat var="skill" value="#{doctorBean.skills}">
											<li>
												<p>
													<h:outputText value="#{doctorBean.skill}" />
												</p>
											</li>
										</ui:repeat>

									</ul>
									<h6>Specialties</h6>
									<hr />
									<ul class="list-unstyled specialties">
										<h:outputText value="#{doctorBean.specialitie}" />
									</ul>
								</div>

							</div>
						</div>
						<div class="card">
						<div id="map" style="width: 520px; height: 550px"></div>
<script>
         // Creating map options
        setTimeout(function(){ 
        	var mapOptions = {
                    center: [48.6223204, 2.12316090000002],
                    zoom: 5
                 }
                 // Creating a map object
                 var map = new L.map('map', mapOptions);
                 
                 // Creating a Layer object
                 var layer = new L.TileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png');
                 
                 // Adding layer to the map
                 map.addLayer(layer);
                 
                 
                 var popup = L.popup();
                
                 var lat = document.getElementById("lat").value;
                 var lng = document.getElementById("lng").value;
                 var marker = L.marker([lat, lng]).addTo(map);
                 
             }, 1000);
        
         
      </script>
      
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://code.jquery.com/jquery-2.2.4.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/json2/20160511/json2.min.js"></script>
						</div>
					</div>
				</div>
			</div>
		</section>
	</ui:define>
</ui:composition>

Epione_JEE-web/src/main/webapp/Doctor/doctorAdmin.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets" template="/index2.xhtml"
	xmlns:c="http://java.sun.com/jsp/jstl/core">
	<ui:define name="content">
<section class="content profile-page">
    <div class="block-header">
        <div class="row">
            <div class="col-lg-7 col-md-6 col-sm-12">
                <h2>Profile
                <small>Welcome to Oreo</small>
                </h2>
            </div>
            <div class="col-lg-5 col-md-6 col-sm-12">                
                <button class="btn btn-white btn-icon btn-round hidden-sm-down float-right m-l-10" type="button">
                    <i class="zmdi zmdi-edit"></i>
                </button>
                <ul class="breadcrumb float-md-right">
                    <li class="breadcrumb-item"><a href="index.html"><i class="zmdi zmdi-home"></i> Oreo</a></li>
                    <li class="breadcrumb-item active">Profile</li>
                </ul>                
            </div>
        </div>
    </div>    
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-4 col-md-12">
                <div class="card profile-header">
                    <div class="body text-center">
                        <div class="profile-image"> <img src="#{adminBean.img}" alt=""/> </div>
                        <div>
                            <h4 class="m-b-0"><strong>Dr. <h:outputText value="#{adminBean.name}" /></strong> </h4>
                            <span class="job_post"><h:outputText value="#{doctorBean.specialitie}" /></span>
                            <p><h:outputText value="#{adminBean.address}" /><br/> <h:outputText value="#{adminBean.city}" /></p>
                        </div>
                        <div>
                            <button class="btn btn-primary btn-round btn-simple">Message</button>
                        </div>
                        <p class="social-icon m-t-5 m-b-0">
                            <a title="Twitter" href="javascript:void(0);"><i class="zmdi zmdi-twitter"></i></a>
                            <a title="Facebook" href="javascript:void(0);"><i class="zmdi zmdi-facebook"></i></a>
                            <a title="Google-plus" href="javascript:void(0);"><i class="zmdi zmdi-twitter"></i></a>
                            <a title="Behance" href="javascript:void(0);"><i class="zmdi zmdi-behance"></i></a>
                            <a title="Instagram" href="javascript:void(0);"><i class="zmdi zmdi-instagram "></i></a>
                        </p>
                    </div>                    
                </div>                               
                
               
            </div>
            
            <div class="col-lg-8 col-md-12">
                <div class="card">
                    <ul class="nav nav-tabs">
                        <li class="nav-item"><a class="nav-link active show" data-toggle="tab" href="#about">About</a></li>
                        <li class="nav-item"><a class="nav-link" data-toggle="tab" href="#Account">Account</a></li>                        
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane body active show" id="about">
                            <p>Dr. <h:outputText value="#{adminBean.name}" /> <h:outputText value="#{adminBean.description}" /></p>
                            <h6>Qualifications</h6>
                            <hr/>
                            
                            <ul class="list-unstyled">
                           </ul>
                            <h6>Specialties</h6>
                            <hr/>
                            <ul class="list-unstyled specialties">
                            <h:outputText value="#{adminBean.speciality}" />
                            </ul>
                        </div>
                                            
                    </div>
                </div>
                              
            </div>
        </div>        
    </div>
</section>
</ui:define>
</ui:composition>

Epione_JEE-web/src/main/webapp/Doctor/search.xhtml
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	 xmlns:b="http://bootsfaces.net/ui"
	
	>								
									
	                                    <h:outputText  value="#{doctorBean.search(param['search'])}" />
									

		</ui:composition>